/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 08375
 |                  NATIONAL YOUTH SURVEY (1976): WAVE 1
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace V5 = . if (V5 == 9)
replace V6 = . if (V6 == 9)
replace V7 = . if (V7 == 9)
replace V8 = . if (V8 == 9)
replace V9 = . if (V9 == 9)
replace V10 = . if (V10 == 8)
replace V11 = . if (V11 == 9)
replace V12 = . if (V12 == 9)
replace V14 = . if (V14 == 9)
replace V15 = . if (V15 == 8)
replace V16 = . if (V16 == 99)
replace V17 = . if (V17 == 9)
replace V18 = . if (V18 == 8)
replace V19 = . if (V19 == 99)
replace V20 = . if (V20 == 9)
replace V22 = . if (V22 == 9)
replace V23 = . if (V23 == 9)
replace V24 = . if (V24 == 9)
replace V25 = . if (V25 == 9)
replace V26 = . if (V26 == 9)
replace V27 = . if (V27 == 9)
replace V28 = . if (V28 == 9)
replace V29 = . if (V29 == 9)
replace V30 = . if (V30 == 9)
replace V31 = . if (V31 == 9)
replace V32 = . if (V32 == 9)
replace V33 = . if (V33 == 9)
replace V34 = . if (V34 == 9)
replace V35 = . if (V35 == 9)
replace V36 = . if (V36 == 9)
replace V37 = . if (V37 == 99)
replace V38 = . if (V38 == 9)
replace V39 = . if (V39 == 99)
replace V40 = . if (V40 == 9)
replace V41 = . if (V41 == 9)
replace V42 = . if (V42 == 9)
replace V43 = . if (V43 == 9)
replace V44 = . if (V44 == 9)
replace V45 = . if (V45 == 9)
replace V46 = . if (V46 == 9)
replace V47 = . if (V47 == 9)
replace V48 = . if (V48 == 9)
replace V49 = . if (V49 == 9)
replace V50 = . if (V50 == 9)
replace V51 = . if (V51 == 9)
replace V52 = . if (V52 == 9)
replace V53 = . if (V53 == 9)
replace V54 = . if (V54 == 9)
replace V55 = . if (V55 == 9)
replace V56 = . if (V56 == 9)
replace V57 = . if (V57 == 9)
replace V58 = . if (V58 == 9)
replace V59 = . if (V59 == 9)
replace V60 = . if (V60 == 9)
replace V61 = . if (V61 == 9)
replace V62 = . if (V62 == 9)
replace V63 = . if (V63 == 9)
replace V64 = . if (V64 == 9)
replace V65 = . if (V65 == 9999)
replace V66 = . if (V66 == 99)
replace V67 = . if (V67 == 9)
replace V68 = . if (V68 == 9)
replace V69 = . if (V69 == 9)
replace V70 = . if (V70 == 9)
replace V71 = . if (V71 == 9)
replace V72 = . if (V72 == 9)
replace V73 = . if (V73 == 9)
replace V74 = . if (V74 == 9)
replace V75 = . if (V75 == 9)
replace V76 = . if (V76 == 9)
replace V77 = . if (V77 == 9)
replace V78 = . if (V78 == 9)
replace V79 = . if (V79 == 9)
replace V80 = . if (V80 == 9)
replace V81 = . if (V81 == 9)
replace V82 = . if (V82 == 9)
replace V83 = . if (V83 == 9)
replace V84 = . if (V84 == 9)
replace V85 = . if (V85 == 9)
replace V86 = . if (V86 == 9)
replace V87 = . if (V87 == 9)
replace V88 = . if (V88 == 9)
replace V89 = . if (V89 == 9)
replace V90 = . if (V90 == 9)
replace V91 = . if (V91 == 9)
replace V92 = . if (V92 == 9)
replace V93 = . if (V93 == 9)
replace V94 = . if (V94 == 9)
replace V95 = . if (V95 == 9)
replace V96 = . if (V96 == 9)
replace V97 = . if (V97 == 9)
replace V98 = . if (V98 == 9)
replace V99 = . if (V99 == 9)
replace V100 = . if (V100 == 9)
replace V101 = . if (V101 == 9)
replace V102 = . if (V102 == 9)
replace V103 = . if (V103 == 9)
replace V104 = . if (V104 == 9)
replace V105 = . if (V105 == 9)
replace V106 = . if (V106 == 9)
replace V107 = . if (V107 == 9)
replace V108 = . if (V108 == 9)
replace V109 = . if (V109 == 9)
replace V110 = . if (V110 == 9)
replace V111 = . if (V111 == 9)
replace V112 = . if (V112 == 9)
replace V113 = . if (V113 == 9)
replace V114 = . if (V114 == 9)
replace V115 = . if (V115 == 9)
replace V116 = . if (V116 == 9)
replace V117 = . if (V117 == 9)
replace V118 = . if (V118 == 9)
replace V119 = . if (V119 == 9)
replace V120 = . if (V120 == 9)
replace V121 = . if (V121 == 9)
replace V122 = . if (V122 == 9)
replace V123 = . if (V123 == 9)
replace V124 = . if (V124 == 9)
replace V125 = . if (V125 == 9)
replace V126 = . if (V126 == 9)
replace V127 = . if (V127 == 9)
replace V128 = . if (V128 == 9)
replace V129 = . if (V129 == 9)
replace V130 = . if (V130 == 9)
replace V131 = . if (V131 == 9)
replace V132 = . if (V132 == 9)
replace V133 = . if (V133 == 9)
replace V134 = . if (V134 == 9)
replace V135 = . if (V135 == 9)
replace V136 = . if (V136 == 9)
replace V137 = . if (V137 == 9)
replace V138 = . if (V138 == 9)
replace V139 = . if (V139 == 9)
replace V140 = . if (V140 == 9)
replace V141 = . if (V141 == 9)
replace V142 = . if (V142 == 9)
replace V143 = . if (V143 == 9)
replace V144 = . if (V144 == 9)
replace V145 = . if (V145 == 9)
replace V146 = . if (V146 == 999)
replace V147 = . if (V147 == 999)
replace V148 = . if (V148 == 999)
replace V149 = . if (V149 == 9)
replace V150 = . if (V150 == 9)
replace V151 = . if (V151 == 9)
replace V152 = . if (V152 == 9)
replace V153 = . if (V153 == 9)
replace V154 = . if (V154 == 9)
replace V155 = . if (V155 == 9)
replace V156 = . if (V156 == 9)
replace V157 = . if (V157 == 9)
replace V158 = . if (V158 == 9)
replace V159 = . if (V159 == 9)
replace V160 = . if (V160 == 9)
replace V161 = . if (V161 == 9)
replace V162 = . if (V162 == 9)
replace V163 = . if (V163 == 9)
replace V164 = . if (V164 == 9)
replace V165 = . if (V165 == 9)
replace V166 = . if (V166 == 9)
replace V167 = . if (V167 == 9)
replace V169 = . if (V169 == 99)
replace V170 = . if (V170 == 0 | V170 == 99)
replace V171 = . if (V171 == 9)
replace V172 = . if (V172 == 9)
replace V173 = . if (V173 == 9)
replace V174 = . if (V174 == 9)
replace V175 = . if (V175 == 9)
replace V176 = . if (V176 == 9)
replace V177 = . if (V177 == 9)
replace V178 = . if (V178 == 9)
replace V179 = . if (V179 == 9)
replace V180 = . if (V180 == 9)
replace V181 = . if (V181 == 9)
replace V182 = . if (V182 == 9)
replace V183 = . if (V183 == 9)
replace V184 = . if (V184 == 9)
replace V185 = . if (V185 == 9)
replace V186 = . if (V186 == 9)
replace V187 = . if (V187 == 9)
replace V188 = . if (V188 == 9)
replace V189 = . if (V189 == 9)
replace V190 = . if (V190 == 9)
replace V191 = . if (V191 == 9)
replace V192 = . if (V192 == 9)
replace V193 = . if (V193 == 9)
replace V194 = . if (V194 == 9)
replace V195 = . if (V195 == 9)
replace V196 = . if (V196 == 9)
replace V198 = . if (V198 == 9)
replace V199 = . if (V199 == 9)
replace V200 = . if (V200 == 9)
replace V201 = . if (V201 == 9)
replace V202 = . if (V202 == 9)
replace V203 = . if (V203 == 9)
replace V204 = . if (V204 == 9)
replace V205 = . if (V205 == 9)
replace V206 = . if (V206 == 9)
replace V207 = . if (V207 == 9)
replace V208 = . if (V208 == 9)
replace V209 = . if (V209 == 9)
replace V210 = . if (V210 == 9)
replace V211 = . if (V211 == 99)
replace V212 = . if (V212 == 9)
replace V213 = . if (V213 == 9)
replace V214 = . if (V214 == 9)
replace V215 = . if (V215 == 9)
replace V216 = . if (V216 == 99)
replace V217 = . if (V217 == 9)
replace V218 = . if (V218 == 9)
replace V219 = . if (V219 == 9)
replace V220 = . if (V220 == 9)
replace V221 = . if (V221 == 9)
replace V222 = . if (V222 == 9)
replace V223 = . if (V223 == 9)
replace V224 = . if (V224 == 9)
replace V225 = . if (V225 == 9)
replace V226 = . if (V226 == 9)
replace V227 = . if (V227 == 9)
replace V228 = . if (V228 == 9)
replace V229 = . if (V229 == 9)
replace V230 = . if (V230 == 9)
replace V231 = . if (V231 == 9)
replace V232 = . if (V232 == 9)
replace V233 = . if (V233 == 9)
replace V234 = . if (V234 == 9)
replace V235 = . if (V235 == 9)
replace V236 = . if (V236 == 9)
replace V237 = . if (V237 == 9)
replace V238 = . if (V238 == 9)
replace V239 = . if (V239 == 9)
replace V240 = . if (V240 == 9)
replace V241 = . if (V241 == 9)
replace V242 = . if (V242 == 9)
replace V243 = . if (V243 == 9)
replace V244 = . if (V244 == 9)
replace V245 = . if (V245 == 9)
replace V246 = . if (V246 == 9)
replace V247 = . if (V247 == 9)
replace V248 = . if (V248 == 9)
replace V249 = . if (V249 == 9)
replace V250 = . if (V250 == 9)
replace V251 = . if (V251 == 9)
replace V252 = . if (V252 == 9)
replace V253 = . if (V253 == 9)
replace V254 = . if (V254 == 9)
replace V255 = . if (V255 == 9)
replace V256 = . if (V256 == 9)
replace V257 = . if (V257 == 9)
replace V258 = . if (V258 == 9)
replace V259 = . if (V259 == 9)
replace V260 = . if (V260 == 9)
replace V261 = . if (V261 == 9)
replace V262 = . if (V262 == 9)
replace V263 = . if (V263 == 9)
replace V264 = . if (V264 == 9)
replace V265 = . if (V265 == 9)
replace V266 = . if (V266 == 9)
replace V267 = . if (V267 == 9)
replace V268 = . if (V268 == 9)
replace V269 = . if (V269 == 9)
replace V270 = . if (V270 == 9)
replace V271 = . if (V271 == 9)
replace V272 = . if (V272 == 9)
replace V273 = . if (V273 == 9)
replace V274 = . if (V274 == 9)
replace V275 = . if (V275 == 9)
replace V276 = . if (V276 == 9)
replace V277 = . if (V277 == 9)
replace V278 = . if (V278 == 9)
replace V279 = . if (V279 == 9)
replace V280 = . if (V280 == 9)
replace V281 = . if (V281 == 9)
replace V282 = . if (V282 == 9)
replace V283 = . if (V283 == 9)
replace V284 = . if (V284 == 9)
replace V285 = . if (V285 == 9)
replace V286 = . if (V286 == 9)
replace V287 = . if (V287 == 9)
replace V288 = . if (V288 == 9)
replace V289 = . if (V289 == 9)
replace V290 = . if (V290 == 9)
replace V291 = . if (V291 == 9)
replace V292 = . if (V292 == 9)
replace V293 = . if (V293 == 9)
replace V294 = . if (V294 == 9)
replace V295 = . if (V295 == 9)
replace V296 = . if (V296 == 9)
replace V297 = . if (V297 == 9)
replace V298 = . if (V298 == 9)
replace V299 = . if (V299 == 9)
replace V300 = . if (V300 == 9)
replace V301 = . if (V301 == 9)
replace V302 = . if (V302 == 9)
replace V303 = . if (V303 == 9)
replace V304 = . if (V304 == 9)
replace V305 = . if (V305 == 9)
replace V306 = . if (V306 == 9)
replace V307 = . if (V307 == 9)
replace V308 = . if (V308 == 9)
replace V309 = . if (V309 == 9)
replace V310 = . if (V310 == 9)
replace V311 = . if (V311 == 9)
replace V312 = . if (V312 == 9)
replace V313 = . if (V313 == 9)
replace V314 = . if (V314 == 9)
replace V315 = . if (V315 == 9)
replace V316 = . if (V316 == 9)
replace V317 = . if (V317 == 9)
replace V318 = . if (V318 == 9)
replace V319 = . if (V319 == 9)
replace V320 = . if (V320 == 9)
replace V321 = . if (V321 == 9)
replace V322 = . if (V322 == 9)
replace V323 = . if (V323 == 9)
replace V324 = . if (V324 == 9)
replace V325 = . if (V325 == 9)
replace V326 = . if (V326 == 9)
replace V327 = . if (V327 == 9)
replace V328 = . if (V328 == 9)
replace V329 = . if (V329 == 9)
replace V330 = . if (V330 == 9)
replace V331 = . if (V331 == 9)
replace V332 = . if (V332 == 9)
replace V333 = . if (V333 == 9)
replace V334 = . if (V334 == 9)
replace V335 = . if (V335 == 9)
replace V336 = . if (V336 == 9)
replace V337 = . if (V337 == 9)
replace V338 = . if (V338 == 9)
replace V339 = . if (V339 == 9)
replace V340 = . if (V340 == 9)
replace V341 = . if (V341 == 9)
replace V342 = . if (V342 == 9)
replace V343 = . if (V343 == 9)
replace V344 = . if (V344 == 9)
replace V345 = . if (V345 == 9)
replace V346 = . if (V346 == 9)
replace V347 = . if (V347 == 9)
replace V348 = . if (V348 == 9)
replace V349 = . if (V349 == 9)
replace V350 = . if (V350 == 9)
replace V351 = . if (V351 == 9)
replace V352 = . if (V352 == 9)
replace V353 = . if (V353 == 9)
replace V354 = . if (V354 == 9)
replace V355 = . if (V355 == 9)
replace V356 = . if (V356 == 9)
replace V357 = . if (V357 == 9)
replace V358 = . if (V358 == 9)
replace V359 = . if (V359 == 9)
replace V360 = . if (V360 == 9)
replace V361 = . if (V361 == 9)
replace V362 = . if (V362 == 9)
replace V363 = . if (V363 == 9)
replace V364 = . if (V364 == 9)
replace V365 = . if (V365 == 9)
replace V366 = . if (V366 == 9)
replace V367 = . if (V367 == 9)
replace V368 = . if (V368 == 9)
replace V369 = . if (V369 == 9)
replace V370 = . if (V370 == 9)
replace V371 = . if (V371 == 9)
replace V372 = . if (V372 == 9)
replace V373 = . if (V373 == 9)
replace V376 = . if (V376 == 9)
replace V377 = . if (V377 == 9)
replace V378 = . if (V378 == 999)
replace V380 = . if (V380 == 999)
replace V382 = . if (V382 == 999)
replace V384 = . if (V384 == 999)
replace V386 = . if (V386 == 999)
replace V388 = . if (V388 == 999)
replace V390 = . if (V390 == 999)
replace V392 = . if (V392 == 999)
replace V394 = . if (V394 == 999)
replace V396 = . if (V396 == 999)
replace V398 = . if (V398 == 999)
replace V400 = . if (V400 == 999)
replace V402 = . if (V402 == 999)
replace V404 = . if (V404 == 999)
replace V406 = . if (V406 == 999)
replace V408 = . if (V408 == 999)
replace V410 = . if (V410 == 999)
replace V412 = . if (V412 == 999)
replace V414 = . if (V414 == 999)
replace V416 = . if (V416 == 999)
replace V418 = . if (V418 == 999)
replace V420 = . if (V420 == 999)
replace V422 = . if (V422 == 999)
replace V424 = . if (V424 == 999)
replace V426 = . if (V426 == 999)
replace V428 = . if (V428 == 999)
replace V430 = . if (V430 == 999)
replace V432 = . if (V432 == 999)
replace V434 = . if (V434 == 999)
replace V436 = . if (V436 == 999)
replace V438 = . if (V438 == 999)
replace V440 = . if (V440 == 999)
replace V442 = . if (V442 == 999)
replace V444 = . if (V444 == 999)
replace V446 = . if (V446 == 999)
replace V448 = . if (V448 == 999)
replace V450 = . if (V450 == 999)
replace V452 = . if (V452 == 999)
replace V454 = . if (V454 == 999)
replace V456 = . if (V456 == 999)
replace V458 = . if (V458 == 999)
replace V460 = . if (V460 == 999)
replace V462 = . if (V462 == 999)
replace V464 = . if (V464 == 999)
replace V466 = . if (V466 == 999)
replace V468 = . if (V468 == 999)
replace V469 = . if (V469 == 999)
replace V470 = . if (V470 == 999)
replace V471 = . if (V471 == 999)
replace V472 = . if (V472 == 999)
replace V473 = . if (V473 == 999)
replace V474 = . if (V474 == 999)
replace V475 = . if (V475 == 999)
replace V476 = . if (V476 == 999)
replace V478 = . if (V478 == 9)
replace V480 = . if (V480 == 9)
replace V482 = . if (V482 == 9)
replace V484 = . if (V484 == 9)
replace V485 = . if (V485 == 9)
replace V487 = . if (V487 == 9)
replace V488 = . if (V488 == 9)
replace V490 = . if (V490 == 9)
replace V491 = . if (V491 == 4)
replace V493 = . if (V493 == 9)
replace V494 = . if (V494 == 9)
replace V495 = . if (V495 == 9)
replace V496 = . if (V496 == 9)
replace V497 = . if (V497 == 9)
replace V498 = . if (V498 == 999)
replace V499 = . if (V499 == 999)
replace V500 = . if (V500 == 999)
replace V501 = . if (V501 == 9)
replace V502 = . if (V502 == 9)
replace V503 = . if (V503 == 9)
replace V504 = . if (V504 == 9)
replace V505 = . if (V505 == 9)
replace V506 = . if (V506 == 1)
replace V507 = . if (V507 == 9)
replace V508 = . if (V508 == 9)
replace V509 = . if (V509 == 9)
replace V510 = . if (V510 == 9)
replace V511 = . if (V511 == 9)
replace V512 = . if (V512 == 9)
replace V513 = . if (V513 == 9)
replace V514 = . if (V514 == 9)
replace V515 = . if (V515 == 9)
replace V516 = . if (V516 == 1)
replace V518 = . if (V518 == 9)
replace V519 = . if (V519 == 9)
replace V520 = . if (V520 == 9)
replace V521 = . if (V521 == 99)
replace V522 = . if (V522 == 9)


